API

Get Started

WelcomeQuickstartGuidesChangelogSDKs and ToolsAdditional Info

Authorization

POSTCreate personal access token

List Accounts

GETGet accounts

Account Details

GETGet account portfolio v2GETGet history

Tax Lot Selling

GETGet unrealized tax lotsGETGet unrealized tax lots for symbolGETGet unrealized tax lots csv

Instrument Details

GETGet all instrumentsGETGet instrumentGETSearch bonds

Market Data

POSTGet quotesGETGet bond detailsPOSTGet option expirationsPOSTGet option chainGETGet bars v2GETGet bars v2 with aggregation

Orders

POSTPreflight single legPOSTPreflight multi legPOSTPlace orderPUTReplace orderPOSTSearch ordersPOSTPlace multileg orderGETGet orderDELETECancel order

Option Details

GETGet option greeksPOSTGet strategy quote

Event Contracts

POSTGet event summaryGETGet event categoriesGETGet event details
HelpFeedback
Event Contracts

Get event details

GET/userapigateway/eventcontract/details/{eventSymbol}

Parameters

Path Parameters

string

Query Parameters

boolean

Parameters

NameTypeRequiredDescription
eventSymbolstringYes-
includeAllOutcomesbooleanNo-

Body

application/json

No request body defined

Responses

Response

200
application/json
eventIdstringrequired

the unique identifier of the event. Example: "KALSHI.KXBALANCESHEET-EO26".

exchangeenum<string>required

the exchange that provides the event.

Available options: EXCHANGE_UNSPECIFIED,EMULATOR,KALSHI,PMUS,CDNA
resolvedboolean

whether the event is resolved/inactive or not.

haltedboolean

whether trading is halted for all outcomes within the event.

titlestringrequired

the title of the event. Example: "Size of Fed balance sheet at end of 2026".

categorystringrequired

the category of the event. Example: "Economics".

volumestringrequired

the combined volume of all event contracts within this event.

subcategoriesstring[]required

the subcategories/tags related to the event.

cftcContractrequired
outcomeCountintegerrequired

the unfiltered number of outcomes within the event.

outcomesobject[]required

the outcomes of the event that consists of YES/NO event contracts. Might be filtered.

The Public Individual API is for your own personal, non-commercial use. Unauthorized access is prohibited. You are responsible for all trades made via the API. Learn more
{
  "eventId": "string",
  "exchange": "EXCHANGE_UNSPECIFIED",
  "resolved": true,
  "halted": true,
  "title": "string",
  "category": "string",
  "volume": "string",
  "subcategories": [
    "string"
  ],
  "cftcContract": {
    "contractTermsUrl": "https://example.com/resource",
    "prohibitions": [
      "string"
    ],
    "resolutionSources": [
      {
        "name": "string",
        "url": "string"
      }
    ]
  },
  "outcomeCount": 123,
  "outcomes": [
    {
      "outcomeId": "string",
      "title": "string",
      "rules": "string",
      "volume": "string",
      "state": "STATE_UNSPECIFIED",
      "timeline": {
        "openTime": "2023-11-07T05:31:56Z",
        "closeTime": "2023-11-07T05:31:56Z",
        "expectedExpirationTime": "2023-11-07T05:31:56Z",
        "latestExpirationTime": "2023-11-07T05:31:56Z",
        "settlementTime": "2023-11-07T05:31:56Z",
        "settlementDelaySeconds": 123
      },
      "settledOutcome": "SETTLED_OUTCOME_UNSPECIFIED",
      "trading": "BUY_AND_SELL",
      "contracts": [
        {
          "symbol": "string",
          "predictedOutcome": "YES",
          "bid": "string",
          "ask": "string",
          "last": "string",
          "openInterest": "string",
          "dailyGainValue": "string",
          "dailyGainPercentage": "string",
          "probability": "string"
        }
      ]
    }
  ]
}
The Public Individual API is for your own personal, non-commercial use. Unauthorized access is prohibited. You are responsible for all trades made via the API. Learn more